/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";


 ion-modal.auto-height {
  &.bottom {
      align-items: flex-end;
  }

  --height: auto;
  --border-radius: 30px;

  .ion-page {
      position: relative;
      display: block;
      contain: content;
      background: transparent;
      .inner-content {
          max-height: 100vh;
          overflow: auto;
          padding: 10px;
      }
  }
}
.native-input.sc-ion-input-ios {
  padding: 10px;
}
.buildingname{
  font-size: 22px;
    font-weight: bold;
}

 ion-searchbar{
        .searchbar-input-container{
            .searchbar-input{
                border-radius: 30px !important;
            }
        }
    }
    .title_bar{
        --background: #33c7ff;
        // height: 91px;
        position: relative;
    }
    .title{
        color:white;
        margin-left: 3px;
    }
    .ion-btn{
        width: 86px;
        height: 34px;
        border-radius: 25px;
    }
  
    .building_btn{
        width:92px !important;
    }
    .scrolling-wrapper {
        overflow-x: scroll;
        overflow-y: hidden;
      }
      .scroll{
        height: 100px;
        overflow: scroll;
         p{
            font-size: 18px;
            margin-left: 20px; 
          }
      }
    .pending-icon{
        font-size: 27px;
        position: absolute;
        // top: -3px;
        // right: 38px;
        height: 59%;
      }
   .completed-icon{
        font-size: 27px;
        position: absolute;
        top: 10px;
        right: 46px;
        height: 27%; 
      }  

      .completed1-icon{
        font-size: 27px;
    position: absolute;
    top: 13px;
    right: 56px;
    height: 26%;
      }
    .building_title{
     font-size: 22px;
     margin-left: 20px;
     font-weight: 300;
    }  

 .schedule_card{
    margin-top:13px;
    .pending-icon{
        top: -3px;
        right: 38px;
      }
     .markasdone{
        margin-left: -44px;
        margin-top: 43px;

         .assigned-icon{
            font-size: 15px;
            vertical-align: middle;
            // height: 19%;
          }

           span{
            color: #28F714;
            font-size: 14px;
            font-weight: 300;
            }
     } 
    }
  .payment_card{
    margin-top:13px;
    .pending-icon{
        top: -8px;
        right: 43px;
      }
      .pending1-icon{
        top: -8px;
        right: 43px;
      }
      .collect_row{
        margin-top: -4px;
        margin-left: 48px;
        span{
            color: #28F714;
            font-size: 14px;
            font-weight: 300;
        }
      }
  }  
  ion-footer {
    height: 130px ;
    // &.footer-ios {
     
    // }
  }

  @media screen and (min-width: 460px){
    .completed-icon{
      right: 63px;
    }
    .schedule_card .pending-icon{
      right: 54px;
    }
  }

  @media screen and (min-width: 400px){
    .completed-icon{
      right: 63px;
    }
    .schedule_card .pending-icon{
      right: 54px;
    }
  }
  
 